#
# spec file for package kjumpingcube
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kjumpingcube
BuildRequires:  libkdegames-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kio-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  knewstuff-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  update-desktop-files
Summary:        Tactical board game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Puzzle
Url:            http://www.kde.org
Version:        16.08.3
Release:        0
Source0:        kjumpingcube-%{version}.tar.xz
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KJumpingCube is a tactical one or two-player game. The playing field
consists of squares that contains points which can be increased. By
this you can gain more fields and finally win the board over.


%prep
%setup -q -n kjumpingcube-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
# .desktop files shouldn't be executable
  chmod -x %{buildroot}/usr/share/applications/org.kde.kjumpingcube.desktop

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kf5_bindir}/kjumpingcube
%{_kf5_htmldir}/en/kjumpingcube/
%{_kf5_applicationsdir}/org.kde.kjumpingcube.desktop
%{_kf5_iconsdir}/hicolor/*/apps/kjumpingcube.*
%{_kf5_appsdir}/kjumpingcube/
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/kjumpingcube.kcfg
%_datadir/kxmlgui5/kjumpingcube/

%changelog
